Index: src/main/java/com/wediscussmovies/project/web/controller/DiscussionsController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/DiscussionsController.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/web/controller/DiscussionsController.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -2,4 +2,5 @@
 
 import com.wediscussmovies.project.model.*;
+import com.wediscussmovies.project.model.enumerations.DiscussionType;
 import com.wediscussmovies.project.service.DiscussionService;
 import com.wediscussmovies.project.service.MovieService;
@@ -13,4 +14,5 @@
 import java.sql.Date;
 import java.time.LocalDate;
+import java.util.ArrayList;
 import java.util.List;
 import java.util.Optional;
@@ -101,10 +103,10 @@
             return "redirect:/login";
         }
-        Integer movie_id = (Integer) request.getSession().getAttribute("movieId");
+        Long movie_id = (Long) request.getSession().getAttribute("movieId");
         request.getSession().setAttribute("movieId", null);
         Optional<Movie> movieOp = movieService.findById(movie_id);
         if(movieOp.isEmpty())
             return "redirect:/movies";
-        Discussion discussion = new Discussion(title, text, user, movieOp.get(), Date.valueOf(LocalDate.now()));
+        Discussion discussion = new Discussion(DiscussionType.M,text, title, Date.valueOf(LocalDate.now()),user,movieOp.get(),null,new ArrayList<>());
         discussionService.save(discussion);
         return "redirect:/discussions";
@@ -135,5 +137,5 @@
         if(personOp.isEmpty())
             return "redirect:/discussions";
-        Discussion discussion = new Discussion(title, text, user, personOp.get(), Date.valueOf(LocalDate.now()));
+        Discussion discussion = new Discussion(DiscussionType.P,title, text,Date.valueOf(LocalDate.now()),user,null,personOp.get(),new ArrayList<>());
         discussionService.save(discussion);
         return "redirect:/discussions";
Index: src/main/java/com/wediscussmovies/project/web/controller/MovieController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -1,8 +1,8 @@
 package com.wediscussmovies.project.web.controller;
 
+import com.wediscussmovies.project.exception.MovieIdNotFoundException;
 import com.wediscussmovies.project.model.Genre;
 import com.wediscussmovies.project.model.Movie;
 import com.wediscussmovies.project.model.Person;
-import com.wediscussmovies.project.model.exception.MovieIdNotFoundException;
 import com.wediscussmovies.project.service.GenreService;
 import com.wediscussmovies.project.service.MovieService;
@@ -59,8 +59,8 @@
 
     @PostMapping("/{id}/delete")
-    public String addMovie(@PathVariable int id){
+    public String addMovie(@PathVariable Long id){
         Optional<Movie> movie = movieService.findById(id);
         if(movie.isPresent()){
-            movieService.deleteById(movie.get().getMovie_id());
+            movieService.deleteById(movie.get().getId());
         }
         return "redirect:/movies";
@@ -72,5 +72,5 @@
                                @RequestParam String image_url,
                                @RequestParam Date airing_date,
-                               @RequestParam Float rating,
+                               @RequestParam Double rating,
                                @RequestParam Integer director_id,
                                @RequestParam List<Integer> actors,
@@ -131,10 +131,10 @@
     @PostMapping("/edit/confirm")
     public String editMoviePost(
-                                @RequestParam Integer movie_id,
+                                @RequestParam Long movie_id,
                                 @RequestParam String title,
                                @RequestParam String description,
                                @RequestParam String image_url,
                                @RequestParam Date airing_date,
-                               @RequestParam Float rating,
+                               @RequestParam Double rating,
                                @RequestParam Integer director_id,
                                @RequestParam List<Integer> actors,
@@ -203,7 +203,7 @@
         movie.setTitle(title);
         movie.setDescription(description);
-        movie.setAiring_date(airing_date);
-        movie.setImage_url(image_url);
-        movie.setImdb_rating(rating);
+        movie.setAringDate(airing_date);
+        movie.setImageUrl(image_url);
+        movie.setImbdRating(rating);
 
         movieService.save(movie);
@@ -213,5 +213,5 @@
 
     @GetMapping("/{id}/edit")
-    public String editMovie(@PathVariable Integer id, Model model){
+    public String editMovie(@PathVariable Long id, Model model){
         Movie movie = movieService.findById(id).orElseThrow(() -> new MovieIdNotFoundException(id));
         model.addAttribute("directors", personService.findAllDirectors());
Index: src/main/java/com/wediscussmovies/project/web/controller/PersonsController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/PersonsController.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/web/controller/PersonsController.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -2,5 +2,5 @@
 
 import com.wediscussmovies.project.model.Person;
-import com.wediscussmovies.project.model.PersonType;
+import com.wediscussmovies.project.model.enumerations.PersonType;
 import com.wediscussmovies.project.service.PersonService;
 import org.springframework.stereotype.Controller;
@@ -38,5 +38,5 @@
                     boolean add = true;
                     for(Person a: actorsByName){
-                        if(a.getPerson_id() == p.getPerson_id()){
+                        if(a.getPersonId() == p.getPersonId()){
                             add=false;
                             break;
@@ -50,5 +50,5 @@
             actors = actorsByName;
         }
-        actors.sort(Person.personComparatorByNameSurname);
+       // actors.sort(Person.personComparatorByNameSurname);
         model.addAttribute("actors", actors);
         model.addAttribute("contentTemplate", "actorsList");
@@ -71,5 +71,5 @@
                     boolean add = true;
                     for(Person a: directorsByName){
-                        if(a.getPerson_id() == p.getPerson_id()){
+                        if(a.getPersonId() == p.getPersonId()){
                             add=false;
                             break;
@@ -83,5 +83,5 @@
             directors = directorsByName;
         }
-        directors.sort(Person.personComparatorByNameSurname);
+     //   directors.sort(Person.personComparatorByNameSurname);
         model.addAttribute("directors", directors);
         model.addAttribute("contentTemplate", "directorsList");
Index: src/main/java/com/wediscussmovies/project/web/controller/ReplyController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/ReplyController.java	(revision 7bc8942e641cbe9fd658da84125ccf38b30063c9)
+++ src/main/java/com/wediscussmovies/project/web/controller/ReplyController.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -19,5 +19,5 @@
 
     @GetMapping("/edit/{id}")
-    public String getReplyEdit(@PathVariable Integer id, Model model){
+    public String getReplyEdit(@PathVariable Long id, Model model){
         Optional<Reply> reply = replyService.findById(id);
         if(reply.isEmpty())
@@ -29,5 +29,5 @@
 
     @PostMapping("/edit/confirm/{id}")
-    public String getReplyEdit(@PathVariable Integer id, @RequestParam String text){
+    public String getReplyEdit(@PathVariable Long id, @RequestParam String text){
         Optional<Reply> replyOp = replyService.findById(id);
         if(replyOp.isEmpty())
@@ -37,5 +37,5 @@
         reply.setText(text);
         replyService.save(reply);
-        return "redirect:/discussions/"+reply.getDiscussion().getDiscussion_id();
+        return "redirect:/discussions/"+reply.getDiscussion().getId();
     }
 }
